## Functions

### gst_analytics_image_util_iou_float

    gfloat
    gst_analytics_image_util_iou_float (gfloat bb1_x,
                                        gfloat bb1_y,
                                        gfloat bb1_w,
                                        gfloat bb1_h,
                                        gfloat bb2_x,
                                        gfloat bb2_y,
                                        gfloat bb2_w,
                                        gfloat bb2_h)

Calculate the intersection over the union (IoU) of the two areas defined by the bounding box 1 and bounding box 2. IoU is a measure of how much two regions overlap.

Return: IoU of bb1 and bb2.

Parameters:

`bb1_x` –

Bounding box 1, X coordinate

`bb1_y` –

Bounding box 1, Y coordinate

`bb1_w` –

Bounding box 1, width

`bb1_h` –

Bounding box 1, height

`bb2_x` –

Bounding box 2, X coordinate

`bb2_y` –

Bounding box 2, Y coordinate

`bb2_w` –

Bounding box 2, width

`bb2_h` –

Bounding box 2, height

Returns –
No description available

Since : 1.28

### GstAnalytics.prototype.image_util_iou_float

    function GstAnalytics.prototype.image_util_iou_float(bb1_x: Number, bb1_y: Number, bb1_w: Number, bb1_h: Number, bb2_x: Number, bb2_y: Number, bb2_w: Number, bb2_h: Number): {
        // javascript wrapper for 'gst_analytics_image_util_iou_float'
    }

Calculate the intersection over the union (IoU) of the two areas defined by the bounding box 1 and bounding box 2. IoU is a measure of how much two regions overlap.

Return: IoU of bb1 and bb2.

Parameters:

`bb1_x` (Number) –

Bounding box 1, X coordinate

`bb1_y` (Number) –

Bounding box 1, Y coordinate

`bb1_w` (Number) –

Bounding box 1, width

`bb1_h` (Number) –

Bounding box 1, height

`bb2_x` (Number) –

Bounding box 2, X coordinate

`bb2_y` (Number) –

Bounding box 2, Y coordinate

`bb2_w` (Number) –

Bounding box 2, width

`bb2_h` (Number) –

Bounding box 2, height

Returns (Number) –
No description available

Since : 1.28

### GstAnalytics.image_util_iou_float

    def GstAnalytics.image_util_iou_float (bb1_x, bb1_y, bb1_w, bb1_h, bb2_x, bb2_y, bb2_w, bb2_h):
        #python wrapper for 'gst_analytics_image_util_iou_float'

Calculate the intersection over the union (IoU) of the two areas defined by the bounding box 1 and bounding box 2. IoU is a measure of how much two regions overlap.

Return: IoU of bb1 and bb2.

Parameters:

`bb1_x` (float) –

Bounding box 1, X coordinate

`bb1_y` (float) –

Bounding box 1, Y coordinate

`bb1_w` (float) –

Bounding box 1, width

`bb1_h` (float) –

Bounding box 1, height

`bb2_x` (float) –

Bounding box 2, X coordinate

`bb2_y` (float) –

Bounding box 2, Y coordinate

`bb2_w` (float) –

Bounding box 2, width

`bb2_h` (float) –

Bounding box 2, height

Returns (float) –
No description available

Since : 1.28

### gst_analytics_image_util_iou_int

    gfloat
    gst_analytics_image_util_iou_int (gint bb1_x,
                                      gint bb1_y,
                                      gint bb1_w,
                                      gint bb1_h,
                                      gint bb2_x,
                                      gint bb2_y,
                                      gint bb2_w,
                                      gint bb2_h)

Calculate the intersection over the union (IoU) of the two areas defined by the bounding box 1 and bounding box 2. IoU is a measure of how much two regions overlap.

Return: IoU of bb1 and bb2.

Parameters:

`bb1_x` –

Bounding box 1, X coordinate

`bb1_y` –

Bounding box 1, Y coordinate

`bb1_w` –

Bounding box 1, width

`bb1_h` –

Bounding box 1, height

`bb2_x` –

Bounding box 2, X coordinate

`bb2_y` –

Bounding box 2, Y coordinate

`bb2_w` –

Bounding box 2, width

`bb2_h` –

Bounding box 2, height

Returns –
No description available

Since : 1.28

### GstAnalytics.prototype.image_util_iou_int

    function GstAnalytics.prototype.image_util_iou_int(bb1_x: Number, bb1_y: Number, bb1_w: Number, bb1_h: Number, bb2_x: Number, bb2_y: Number, bb2_w: Number, bb2_h: Number): {
        // javascript wrapper for 'gst_analytics_image_util_iou_int'
    }

Calculate the intersection over the union (IoU) of the two areas defined by the bounding box 1 and bounding box 2. IoU is a measure of how much two regions overlap.

Return: IoU of bb1 and bb2.

Parameters:

`bb1_x` (Number) –

Bounding box 1, X coordinate

`bb1_y` (Number) –

Bounding box 1, Y coordinate

`bb1_w` (Number) –

Bounding box 1, width

`bb1_h` (Number) –

Bounding box 1, height

`bb2_x` (Number) –

Bounding box 2, X coordinate

`bb2_y` (Number) –

Bounding box 2, Y coordinate

`bb2_w` (Number) –

Bounding box 2, width

`bb2_h` (Number) –

Bounding box 2, height

Returns (Number) –
No description available

Since : 1.28

### GstAnalytics.image_util_iou_int

    def GstAnalytics.image_util_iou_int (bb1_x, bb1_y, bb1_w, bb1_h, bb2_x, bb2_y, bb2_w, bb2_h):
        #python wrapper for 'gst_analytics_image_util_iou_int'

Calculate the intersection over the union (IoU) of the two areas defined by the bounding box 1 and bounding box 2. IoU is a measure of how much two regions overlap.

Return: IoU of bb1 and bb2.

Parameters:

`bb1_x` (int) –

Bounding box 1, X coordinate

`bb1_y` (int) –

Bounding box 1, Y coordinate

`bb1_w` (int) –

Bounding box 1, width

`bb1_h` (int) –

Bounding box 1, height

`bb2_x` (int) –

Bounding box 2, X coordinate

`bb2_y` (int) –

Bounding box 2, Y coordinate

`bb2_w` (int) –

Bounding box 2, width

`bb2_h` (int) –

Bounding box 2, height

Returns (float) –
No description available

Since : 1.28

The results of the search are